package org.apache.commons.lang3.concurrent;

package .tmp;

import org.apache.commons.lang3.concurrent.EventCountCircuitBreaker;

class CheckIntervalData {
  private final int eventCount;
  
  private final long checkIntervalStart;
  
  CheckIntervalData(int count, long intervalStart) {
    this.eventCount = count;
    this.checkIntervalStart = intervalStart;
  }
  
  public int getEventCount() {
    return this.eventCount;
  }
  
  public long getCheckIntervalStart() {
    return this.checkIntervalStart;
  }
  
  public CheckIntervalData increment(int delta) {
    return (delta == 0) ? this : new CheckIntervalData(getEventCount() + delta, 
        getCheckIntervalStart());
  }
}
